<?php
/*
  $Id: languages.php,v 1.12 2002/08/08 21:52:17 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2001 osCommerce

  Released under the GNU General Public License
*/
?>
<!-- languages //-->
 <tr>
 <td>
<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>
        <TR>
                <TD>
                        <IMG SRC="images/boxes/table_payments.gif"></TD>
        </TR>
<?php


  if (!is_object($lng)) {
    include(DIR_WS_CLASSES . 'language.php');
    $lng = new language;
  }

  if (getenv('HTTPS') == 'on') $connection = 'SSL';
  else $connection = 'NONSSL';

  $languages_string = '';
  reset($lng->catalog_languages);
  while (list($key, $value) = each($lng->catalog_languages)) {

  $languages_string .=' <a hef="' . tep_href_link(basename($PHP_SELF),tep_get_all_get_params(array('language', 'currency')) . 'language=' . $key, $connection) . '">' . tep_image(DIR_WS_LANGUAGES . $value['directory'] . '/images/' . $value['image']) . '</a>';

  }

  $info_box_contents = array();
  $info_box_contents[] = array('align' => 'center',
                              'text'  => $languages_string
                              );

  new infoBox($info_box_contents);

?>
<tr>
<TD>
                        <IMG SRC="images/boxes/table_payments.gif"></TD></tr>
            </td>
          </tr>
<!-- languages_eof //-->